staqlydocs
REST APIAPI referenceAccounts

Workspaces the caller can open, with their role

Workspaces the caller can open, with their role

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/workspaces

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Response Body

OK

application/json
  1. response
data*array<>
curl -X GET 'https://staqly.example.com/v1/workspaces'
{  "data": [    {      "id": "string",      "name": "string",      "role": "owner",      "current": true    }  ]}